CHECK-PATRONI(1)

NAME
check-patroni - Nagios plugin to check on patroni

SYNOPSIS
check_patroni [OPTIONS] COMMAND [ARGS]...

DESCRIPTION

    Nagios plugin that uses Patroni's REST API to monitor a Patroni cluster.

OPTIONS

--config FILE
    Read option defaults from the specified INI file [default: config.ini]

-e, --endpoints TEXT
    Patroni API endpoint. Can be specified multiple times or as a list of comma separated addresses. The node services checks the status of one node, therefore if several addresses are specified they should point to different interfaces on the same node. The cluster services check the status of the cluster, therefore it's better to give a list of all Patroni node addresses. [default: http://127.0.0.1:8008]

--cert_file PATH
    File with the client certificate.

--key_file PATH
    File with the client key.

--ca_file PATH
    The CA certificate.

-v, --verbose
    Increase verbosity -v (info)/-vv (warning)/-vvv (debug)

--version

--timeout INTEGER
    Timeout in seconds for the API queries (0 to disable) [default: 2]

--help
    Show this message and exit.

  Commands:

cluster_config_has_changed
    Check if the hash of the configuration...

cluster_has_leader
    Check if the cluster has a leader.

cluster_has_replica
    Check if the cluster has healthy replicas...

cluster_has_scheduled_action
    Check if the cluster has a scheduled...

cluster_is_in_maintenance
    Check if the cluster is in maintenance...

cluster_node_count
    Count the number of nodes in the cluster.

node_is_alive
    Check if the node is alive ie patroni is...

node_is_leader
    Check if the node is a leader node.

node_is_pending_restart
    Check if the node is in pending restart...

node_is_primary
    Check if the node is the primary with the...

node_is_replica
    Check if the node is a replica with no...

node_patroni_version
    Check if the version is equal to the input

node_tl_has_changed
    Check if the timeline has changed.